Package net.shibboleth.idp.cas.protocol

# Class ProxyTicketRequest

java.lang.Object
net.shibboleth.idp.cas.protocol.ProxyTicketRequest

public class ProxyTicketRequest extends Object
Container for proxy ticket request parameters provided to `/proxy` URI.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`proxyGrantingTicketId`
Proxy-granting ticket ID.
`private final String`
`proxyTargetService`
Target service to which proxy ticket will be delivered.

## Constructor Summary

Constructors
Constructor
Description
`ProxyTicketRequest(String pgt, String targetService)`
Creates a new proxy ticket request with given parameters.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPgt()`
Get the proxy-granting ticket ID.
`String`
`getTargetService()`
Get the target service to which proxy ticket will be delivered.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### proxyGrantingTicketId

@Nonnull private final String proxyGrantingTicketId
Proxy-granting ticket ID.

### proxyTargetService

@Nonnull private final String proxyTargetService
Target service to which proxy ticket will be delivered.

## Constructor Details

### ProxyTicketRequest

public ProxyTicketRequest(@Nonnull String pgt, @Nonnull String targetService)
Creates a new proxy ticket request with given parameters.

Parameters:
  `pgt` - Non-null proxy-granting ticket ID.
  `targetService` - Non-null

## Method Details

### getPgt

@Nonnull public String getPgt()
Get the proxy-granting ticket ID.

Returns:
  proxy-granting ticket ID

### getTargetService

@Nonnull public String getTargetService()
Get the target service to which proxy ticket will be delivered.

Returns:
  target service to which proxy ticket will be delivered